### Function

# Phosh util_toggle_style_class

since: 0

#### Declaration [src]

    void
    phosh_util_toggle_style_class (
      GtkWidget* widget,
      const char* style_class,
      gboolean toggle
    )

#### Description [src]

Adds or removes the specified style class on the widget.

Available since: 0

#### Parameters

`widget`

  Type: `GtkWidget`

  Widget to change styling of.

  The data is owned by the caller of the function.

`style_class`

  Type: `const char*`

  The name of CSS class.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`toggle`

  Type: `gboolean`

  Whether the class should be set or unset.